/**
 * A simple form to display a bunch of text and then return to the calling
 * screen.
 */

import javax.microedition.lcdui.*;

public class TextForm extends Form implements CommandListener
{
   private Command back;
   private Screen home;

   public TextForm(Screen homeArg, String displayText)
   {
      // call the Form constructor
      super("");

      home = homeArg;
      append(displayText);

      // add the exit
      back = new Command("Back", Command.BACK, 1);
      addCommand(back);
      setCommandListener(this);
   }

   public void commandAction(Command command, Displayable displayable)
   {
      if (command == back)
         StarAssault.activateDisplayable(home);
   }

}
