
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class FormLayoutExample extends MIDlet implements CommandListener
{
   private Form form;

   public FormLayoutExample()
   {
      form = new Form("Layout Example");

      SmileyItem s1 = new SmileyItem("Smile");

      // set the layout to expand this item as much as possible,
      // also indicate we are using MIDP 2 layout styles
      s1.setLayout(Item.LAYOUT_EXPAND | Item.LAYOUT_2);

      form.append(s1);

      SmileyItem s2 = new SmileyItem("Smile");
      form.append(s2);

      form.addCommand(new Command("Exit", Command.EXIT, 0));
      form.setCommandListener(this);
   }

   public void startApp()
   {
      Display.getDisplay(this).setCurrent(form);
   }

   public void pauseApp()
   {
   }

   public void destroyApp(boolean unconditional)
   {
   }

   public void commandAction(Command c, Displayable s)
   {
      if (c.getCommandType() == Command.EXIT)
         notifyDestroyed();
   }

}

